{% extends 'base.html' %}

{% from 'utils/_form_error.html' import errors %}
{% from 'utils/_form_button.html' import button %}

{% block maincontent %}
    {% block before_form %}

    {% endblock %}

    <form action="{{ request.path }}" method="post">
        {% csrf_token %}

        {% block form_error %}
            {{ errors(form) }}
        {% endblock %}

        <div class="row">
            {% block form_body %}
            {% endblock %}
        </div>

        <div class="columns mt-1">
            <div class="column d-flex justify-content-end">
                {% block form_submit %}
                    {{ button('success', 'Ajouter') }}
                {% endblock %}
            </div>
        </div>
    </form>

    {% block after_form %}

    {% endblock %}
{% endblock %}
